Skip to main content

Transactions

Transaction Object

The following endpoints (POST Transfers and POST Transaction Details) use a shared Transaction Object for their responses. Below is the structure of the Transaction Object:

Fields:

FieldTypeDescription
fromAddressstringSending address
toAddressstringReceiving address
layerTransactionLayerTransaction layer (L1Transaction or L2Transaction)
initiatedAtstringDate in ISO8601 format
confirmededAtstringConfirmed date in ISO8601 format
amountstringTransaction amount (as a string to avoid precision issues)
coinSymbolNetworkSymbolNetwork (L1) of the transaction (e.g., ETH)
statusTransactionStatusTransaction status (Pending, Confirmed, or Failed)
txHashstringNetwork's hash for L1 transactions (optional for L2)
feesPaidstringGas fee paid on network (optional for L2)
l2TxnHashstringAkashic transaction hash (for both L1 and L2)
tokenSymbolTokenSymbolToken symbol for token transactions (optional)
reasonstringReason for failure (if status is Failed)
internalFeeobjectAkashic fee details (optional)
internalFee.depositstringDeposit fee (optional)
internalFee.withdrawstringWithdraw fee (optional)
identifierstringUser identifier for deposits (optional)

Example:

{
"fromAddress": "string",
"toAddress": "string",
"layer": "string",
"initiatedAt": "string",
"confirmededAt": "string",
"amount": "string",
"coinSymbol": "string",
"status": "string",
"txHash": "string",
"feesPaid": "string",
"l2TxnHash": "string",
"tokenSymbol": "string",
"reason": "string",
"internalFee": {
"deposit": "string",
"withdraw": "string"
},
"identifier": "string"
}

Get Transaction Details

Endpoint: POST /getTransactionDetails

Description: Retrieves details of an individual transaction. Returns null if no transaction is found for the queried hash.

Request Parameters:

ParameterTypeRequiredDescription
l2TxHashstringYesL2 AkashicChain hash of the transaction

Response: Returns a single Transaction Object or null.

Get Transfers

Endpoint: POST /getTransfers

Description: Retrieves all or a subset of transactions, optionally filtered by layer, status, startDate, endDate, or hideSmallTransactions. Supports pagination with page and limit. The hideSmallTransactions parameter excludes transactions with values below 1 USD.

Request Parameters:

ParameterTypeRequiredDescription
pagenumberNoPage number for pagination
limitnumberNoNumber of transactions per page
layerTransactionLayerNoFilter by transaction layer (L1Transaction or L2Transaction)
statusTransactionStatusNoFilter by transaction status (Pending, Confirmed, or Failed)
startDatestringNoStart date in ISO8601 format
endDatestringNoEnd date in ISO8601 format
hideSmallTransactionsbooleanNoExcludes transactions with values below 1 USD
identifierstringNoFilter by identifier
referenceIdstringNoFilter by identifier

Note: Minimum limit is 10 and the default behaviour of hideSmallTransactions .

Response: Returns an array of Transaction Objects.

[
{
"fromAddress": "string",
"toAddress": "string",
"layer": "string",
"initiatedAt": "string",
"confirmededAt": "string",
"amount": "string",
"coinSymbol": "string",
"status": "string",
"txHash": "string",
"feesPaid": "string",
"l2TxnHash": "string",
"tokenSymbol": "string",
"reason": "string",
"internalFee": {
"deposit": "string",
"withdraw": "string"
},
"identifier": "string"
}
]